package com.miyzh.dao;

import com.miyzh.entity.MedicineStorage;
import com.miyzh.entity.MedicineStorageTemp;
import com.miyzh.entity.dto.MedicineReturnDto;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface MedicineStorageDao {

    // 西药采购入库记录
    List<MedicineStorageTemp> listMedicinePurchase(String clinicId, String startDate, String endDate, String dateType, Integer count);

    // 中药采购入库记录
    List<MedicineStorageTemp> listChinaMedicinePurchase(String clinicId, String startDate, String endDate, String dateType, Integer count);

    // 西药销售退回入库记录
    List<MedicineStorageTemp> listMedicineOutbound(String clinicId, String startDate, String endDate, String dateType, Integer count);

    // 中药销售退回入库记录
    List<MedicineStorageTemp> listChinaMedicineOutbound(String clinicId, String startDate, String endDate, String dateType, Integer count);

    // 西药盘点盘盈入库记录
    List<MedicineStorageTemp> listMedicineInventory(String clinicId, String startDate, String endDate, String dateType, Integer count);

    // 中药盘点盘盈入库记录
    List<MedicineStorageTemp> listChinaMedicineInventory(String clinicId, String startDate, String endDate, String dateType, Integer count);

}
