package com.miyzh.controller;

import com.miyzh.service.BaseService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@Api(tags="库存同步")
@RestController
@RequestMapping("store")
public class StoreController {
    @Autowired
    private BaseService baseService;


    @ApiOperation("西药库存同步")
    @PostMapping("medicineStore")
    public void medicineStore(){
        try {
            baseService.medicineStore();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    @ApiOperation("中药库存同步")
    @PostMapping("medicineChiStore")
    public void medicineChiStore(){
        try {
            baseService.medicineChiStore();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }



}
