package com.miyzh.dao;

import com.miyzh.entity.OrderDetailTemp;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface OrderDetailDao {

    // 西药销售明细记录(自费门诊)
    List<OrderDetailTemp> listClcMedOrder(String clinicId, String startDate, String endDate, String dateType, Integer count);

    // 西药销售明细记录(医保门诊)
    List<OrderDetailTemp> listInsClcMedOrder(String clinicId, String startDate, String endDate, String dateType, Integer count);

    // 中药销售明细记录(自费门诊)
    List<OrderDetailTemp> listClcChinaMedOrder(String clinicId, String startDate, String endDate, String dateType, Integer count);

    // 中药销售明细记录(医保门诊)
    List<OrderDetailTemp> listInsClcChinaMedOrder(String clinicId, String startDate, String endDate, String dateType, Integer count);

    // 西药药销售明细记录(住院)
    List<OrderDetailTemp> listHosMedOrder(String clinicId, String startDate, String endDate, String dateType, Integer count);

    // 中药销售明细记录(住院)
    List<OrderDetailTemp> listHosChinaMedOrder(String clinicId, String startDate, String endDate, String dateType, Integer count);




}
